CSFML

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
sfEvent Union Reference

sfEvent defines a system event and its parameters More...

`#include <Event.h>`

## Data Fields

sfEventType | type
| Type of the event. More...
sfSizeEvent | size
| Size event parameters. More...
sfKeyEvent | key
| Key event parameters. More...
sfTextEvent | text
| Text event parameters. More...
sfMouseMoveEvent | mouseMove
| Mouse move event parameters. More...
sfMouseButtonEvent | mouseButton
| Mouse button event parameters. More...
sfMouseWheelEvent | mouseWheel
| Mouse wheel event parameters (deprecated) More...
sfMouseWheelScrollEvent | mouseWheelScroll
| Mouse wheel event parameters. More...
sfJoystickMoveEvent | joystickMove
| Joystick move event parameters. More...
sfJoystickButtonEvent | joystickButton
| Joystick button event parameters. More...
sfJoystickConnectEvent | joystickConnect
| Joystick (dis)connect event parameters. More...
sfTouchEvent | touch
| Touch events parameters. More...
sfSensorEvent | sensor
| Sensor event parameters. More...

## Detailed Description

sfEvent defines a system event and its parameters

Definition at line 217 of file Event.h.

## Field Documentation

sfJoystickButtonEvent sfEvent::joystickButton

Joystick button event parameters.

Definition at line 228 of file Event.h.

sfJoystickConnectEvent sfEvent::joystickConnect

Joystick (dis)connect event parameters.

Definition at line 229 of file Event.h.

sfJoystickMoveEvent sfEvent::joystickMove

Joystick move event parameters.

Definition at line 227 of file Event.h.

sfKeyEvent sfEvent::key

Key event parameters.

Definition at line 221 of file Event.h.

sfMouseButtonEvent sfEvent::mouseButton

Mouse button event parameters.

Definition at line 224 of file Event.h.

sfMouseMoveEvent sfEvent::mouseMove

Mouse move event parameters.

Definition at line 223 of file Event.h.

sfMouseWheelEvent sfEvent::mouseWheel

Mouse wheel event parameters (deprecated)

Definition at line 225 of file Event.h.

sfMouseWheelScrollEvent sfEvent::mouseWheelScroll

Mouse wheel event parameters.

Definition at line 226 of file Event.h.

sfSensorEvent sfEvent::sensor

Sensor event parameters.

Definition at line 231 of file Event.h.

sfSizeEvent sfEvent::size

Size event parameters.

Definition at line 220 of file Event.h.

sfTextEvent sfEvent::text

Text event parameters.

Definition at line 222 of file Event.h.

sfTouchEvent sfEvent::touch

Touch events parameters.

Definition at line 230 of file Event.h.

sfEventType sfEvent::type

Type of the event.

Definition at line 219 of file Event.h.

The documentation for this union was generated from the following file:

- Event.h